Subject: [mediactrl] Alcatel AMSML protocol specifications

From: [email-masked]
Date: Mon, 24 Jan 2005 09:49:10 GMT

Dear all,
Please find attached the Alcatel AMSML protocol specifications
(Application/Media Server Markup Language).
It is the SIP/XML implementation used into the Alcatel media server.
The reason we decided to use own XML implementation is that we wanted
to have portability of existing IN/INAP applications as simple as possible.
=> Need to find equivalent operations, responses, parameters.... but remove
as many INAP restrictions as possible
Another point to consider was the wish not to load too much the CPU of the
media server running complex service logical scripts (e.g. vxml) and 
keep as much as possible
the CPU available on the media server to run media functions.
No existing XML proposed draft was able to address it correctly.

This protocol is already supported into many Alcatel applications.
If you find it useful, this document can be considered an imput of this 
workgroup.

Regards
David
--
David Rio
Alcatel 8688 MRF - TPR
MSD/MABU/Interactive Media Services
Alcatel CIT - Rennes
+33 2 99 87 47 18
+33 6 70 06 45 14 (mob)
Attachment:
8688MS_AMSML_Reference_IETF.zip